<div class="container">
    <div class="row justify-content-center">
        <h2>
            {{this.getPathId()!! ? 'Edit' : 'Add'}} account
        </h2>
    </div>
    <div class="row">
        <div class="col-12">
            <form (ngSubmit)="submit()" [formGroup]="form">
                <div class="form-row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="name">Account name</label>
                            <input autocomplete="off" class="form-control here" formControlName="name" id="name"
                                   name="name" required type="text" [disableControl]="this.requestPending()">
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="price">Balance</label>
                            <input autocomplete="off" class="form-control here" formControlName="balance"
                                   id="price" [disableControl]="!!form.controls.id.value || this.requestPending()"
                                   name="balance" type="number" (change)="this.replaceCommaWithDot()">
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-4 offset-4">
                        <div class="form-group">
                            <button [disabled]="!form.valid || this.requestPending()" class="btn btn-block btn-success"
                                    type="submit">{{this.getSubmitButtonLabel()}}
                            </button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <table class="table table-sm table-bordered table-striped margin-bottom-200px">
                <thead class="thead-dark">
                <tr class="d-flex">
                    <th class="col-6 text-center"><strong>Name</strong></th>
                    <th class="col-3 text-center"><strong>Balance</strong></th>
                    <th class="col-1 text-center"><strong>Default</strong></th>
                    <th class="col-1 text-center"><strong>Edit</strong></th>
                    <th class="col-1 text-center"><strong>Delete</strong></th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let data of accounts" class="d-flex">
                    <th class="col-6">{{data.name}}</th>
                    <th class="col-3 text-center">{{data.balance}}</th>
                    <th class="col-1 text-center">
                        <button (click)="this.makeDefault(data.id)" class="btn btn-xtrasmall"
                                [ngClass]="(data.defaultAccount)?'btn-success':'btn-info'"
                                [disabled]="this.requestPending() || data.defaultAccount">
                            {{data.defaultAccount ? 'DEFAULT' : 'MAKE'}}
                        </button>
                    </th>
                    <th class="col-1 text-center">
                        <button (click)="this.edit(data.id)" class="btn btn-warning btn-xtrasmall"
                                [disabled]="this.requestPending()">
                            EDIT
                        </button>
                    </th>
                    <th class="col-1 text-center">
                        <button (click)="this.delete(data.id)" class="btn btn-danger btn-xtrasmall"
                                [disabled]="true">
                            DELETE
                        </button>
                    </th>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
